public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sassc-rails/
Date: Mon,  1 Jun 2020 04:47:55 +0000 (UTC)	[thread overview]
Message-ID: <1590986806.8f0f2bdb6e3a1e02e096549e8bc3b0789f5904f6.graaff@gentoo> (raw)

commit:     8f0f2bdb6e3a1e02e096549e8bc3b0789f5904f6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 16:48:48 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jun  1 04:46:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f0f2bdb

dev-ruby/sassc-rails: avoid dependency on pry

Closes: https://bugs.gentoo.org/723962
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sassc-rails/sassc-rails-2.1.2-r1.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/sassc-rails/sassc-rails-2.1.2-r1.ebuild b/dev-ruby/sassc-rails/sassc-rails-2.1.2-r1.ebuild
index 089cbd49d65..54f5843763a 100644
--- a/dev-ruby/sassc-rails/sassc-rails-2.1.2-r1.ebuild
+++ b/dev-ruby/sassc-rails/sassc-rails-2.1.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -33,8 +33,10 @@ ruby_add_bdepend "
 
 all_ruby_prepare() {
 	sed -e '/rake/ s/,.*$//' \
+		-e '/pry/ s:^:#:' \
 		-e 's/git ls-files -z/find . -print0/' \
 		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+	sed -i -e '/pry/ s:^:#:' test/test_helper.rb || die
 }
 
 each_ruby_test() {


             reply	other threads:[~2020-06-01  4:48 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-01  4:47 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17  5:37 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sassc-rails/ Hans de Graaff
2023-08-13  5:22 Hans de Graaff
2023-07-17  4:55 Hans de Graaff
2023-07-10 18:10 Hans de Graaff
2023-07-10 18:10 Hans de Graaff
2023-03-13  7:14 Hans de Graaff
2022-10-15  6:21 Hans de Graaff
2022-10-15  6:21 Hans de Graaff
2022-07-01  6:49 Hans de Graaff
2021-07-06 19:41 Hans de Graaff
2020-06-01  4:47 Hans de Graaff
2019-12-04  8:19 Hans de Graaff
2019-12-04  8:19 Hans de Graaff
2019-06-18 17:33 Hans de Graaff
2019-05-26  5:41 Hans de Graaff
2019-05-26  5:41 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590986806.8f0f2bdb6e3a1e02e096549e8bc3b0789f5904f6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox